# -*- mode: python ; coding: utf-8 -*-
from pathlib import Path

block_cipher = None

spec_file = str(Path('/home/gsd/Documents/PROJECTS/stack-calculator-project/bin/stack_calc.spec'))
root_dir = str(Path(spec_file).parent.parent)


a = Analysis([str(Path(root_dir) / 'src' / 'main.py')],
             pathex=[],
             binaries=[],
             datas=[
                (str(Path(root_dir) / '.dependencies' / 'images'), '.images')
             ],
             hiddenimports=[],
             hookspath=[],
             hooksconfig={},
             runtime_hooks=[],
             excludes=[],
             win_no_prefer_redirects=False,
             win_private_assemblies=False,
             cipher=block_cipher,
             noarchive=False)

pyz = PYZ(a.pure, a.zipped_data, cipher=block_cipher)

exe = EXE(
          pyz,
          a.scripts, 
          a.binaries,
          a.zipfiles,
          a.datas,
          [],
        #   exclude_binaries=True,
          name='Stack Calc v2.0',
          debug=False,
          bootloader_ignore_signals=False,
          strip=False,
          upx=True,
          upx_exclude=[],
          runtime_tmpdir=None,
          console=True,
          disable_windowed_traceback=False,
          argv_emulation=False,
          target_arch=None,
          codesign_identity=None,
          entitlements_file=None,
          icon=str(Path(root_dir) / '.dependencies' / 'images' / 'calculator-icon.png')
        )

